Setting up IntelliJ IDEA 11.1.1 with Ruby plugin

Hi! I'm using IntelliJ on my ubuntu machine set up with RVM that IntelliJ's ruby plugin automatically scanned and configured for use. I am trying to work on a pre-existing rails application using Rails 3.2.3 with Ruby 1.9.3-p125. I noticed a few hiccups. For some reason, every file I edit seems to want to suggest that I import some java classes and whenever it thinks a file is incorrect (like Gemfile), it again suggests that it's something that Java cannot find. Most of the syntax errors it finds are the same thing. Is there any way to get IntelliJ to only look for Ruby errors when using a Rails project? And I also noticed one other thing when using the Rails perspective mode when viewing the project. It isn't sure what the helpers and views folders are. It says they are unclassified. Is there something else I need to do to get the full power of this ruby plugin? Thank you!

---
Original message URL: http://devnet.jetbrains.net/message/5457307#5457307

Please sign in to leave a comment.